Quattro9GraphInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
Quattro9GraphInternal::State Struct Reference

the state of Quattro9Graph More...

## Public Member Functions
| State ()
| constructor More...
void | storeGraph (std::shared_ptr< Graph > graph)
| store a graph More...
bool | getColor (int id, WPSColor &color) const
| returns the color corresponding to an id More...
bool | getPattern24 (int id, WPSGraphicStyle::Pattern &pattern) const
| returns the pattern corresponding to a pattern id between 0 and 24 More...
bool | getPattern32 (int id, WPSGraphicStyle::Pattern &pattern)
| returns the pattern corresponding to a pattern id between 0 and 32 More...

## Public Attributes
int | m_version
| the file version More...
int | m_actualSheet
| the actual sheet id More...
int | m_zoneDepth
| current zone begin/end depth More...
std::shared_ptr< Graph > | m_actualGraph
| the actual graph More...
int | m_actualGraphDepth
| the depth which correspond to the creation of the graph More...
std::vector< WPSColor > | m_colorsList
| the color list More...
std::vector< WPSGraphicStyle::Pattern > | m_patterns32List
| the pattern 32 list More...
std::multimap< int, std::shared_ptr< Graph > > | m_sheetIdToGraphMap
| a multimap sheetId to graph More...
std::map< librevenge::RVNGString, WPSEmbeddedObject > | m_linkNameToObjectMap
| a map link name to object More...

## Detailed Description

the state of Quattro9Graph

## Constructor & Destructor Documentation

## ◆ State()

Quattro9GraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getColor()

bool Quattro9GraphInternal::State::getColor | ( | int | id,
|  | WPSColor & | color
| ) |  | const

returns the color corresponding to an id

## ◆ getPattern24()

bool Quattro9GraphInternal::State::getPattern24 | ( | int | id,
|  | WPSGraphicStyle::Pattern & | pattern
| ) |  | const

returns the pattern corresponding to a pattern id between 0 and 24

## ◆ getPattern32()

bool Quattro9GraphInternal::State::getPattern32 | ( | int | id,
|  | WPSGraphicStyle::Pattern & | pattern
| ) |  |

returns the pattern corresponding to a pattern id between 0 and 32

## ◆ storeGraph()

void Quattro9GraphInternal::State::storeGraph | ( | std::shared_ptr< Graph > | graph | ) |
| inline

store a graph

## Member Data Documentation

## ◆ m_actualGraph

std::shared_ptr<Graph> Quattro9GraphInternal::State::m_actualGraph

the actual graph

Referenced by storeGraph().

## ◆ m_actualGraphDepth

int Quattro9GraphInternal::State::m_actualGraphDepth

the depth which correspond to the creation of the graph

Referenced by storeGraph().

## ◆ m_actualSheet

int Quattro9GraphInternal::State::m_actualSheet

the actual sheet id

Referenced by storeGraph().

## ◆ m_colorsList

std::vector<WPSColor> Quattro9GraphInternal::State::m_colorsList

the color list

Referenced by getColor().

## ◆ m_linkNameToObjectMap

std::map<librevenge::RVNGString,WPSEmbeddedObject> Quattro9GraphInternal::State::m_linkNameToObjectMap

a map link name to object

## ◆ m_patterns32List

std::vector<WPSGraphicStyle::Pattern> Quattro9GraphInternal::State::m_patterns32List

the pattern 32 list

Referenced by getPattern32().

## ◆ m_sheetIdToGraphMap

std::multimap<int, std::shared_ptr<Graph> > Quattro9GraphInternal::State::m_sheetIdToGraphMap

a multimap sheetId to graph

Referenced by storeGraph().

## ◆ m_version

int Quattro9GraphInternal::State::m_version

the file version

## ◆ m_zoneDepth

int Quattro9GraphInternal::State::m_zoneDepth

current zone begin/end depth

Referenced by storeGraph().

The documentation for this struct was generated from the following file:

- Quattro9Graph.cpp